Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.apps.cz.cio
Interface IUserInterfaceEvent

Deprecated. This class is only supported for DHTML UIs

public interface IUserInterfaceEvent

Field Summary
`static java.lang.String` | `ON_NAVIGATE` Deprecated.
`static java.lang.String` | `POST_ACTIVATE_ACTION` Deprecated.
`static java.lang.String` | `POST_CLICK` Deprecated.
`static java.lang.String` | `POST_EVENT_EXECUTION` Deprecated.
`static java.lang.String` | `POST_MODEL_EVENT_EXECUTION` Deprecated.
`static java.lang.String` | `POST_NAVIGATION_EVENT_EXECUTION` Deprecated.
`static java.lang.String` | `POST_NEW_CONFIGURATION` Deprecated.
`static java.lang.String` | `POST_RESTORE_CONFIGURATION` Deprecated.
`static java.lang.String` | `POST_SAVE_CONFIGURATION` Deprecated.
`static java.lang.String` | `POST_VALUE_CHANGE` Deprecated.
`static java.lang.String` | `PRE_CANCEL_CONFIGURATION` Deprecated.
`static java.lang.String` | `PRE_SAVE_CONFIGURATION` Deprecated.
`static java.lang.String` | `RCS_ID` Deprecated.
`static boolean` | `RCS_ID_RECORDED` Deprecated.

Method Summary
`java.lang.String` | `getName()` Deprecated. Returns the type of Event.
`oracle.apps.cz.cio.IUserInterfaceNode` | `getUiNode()` Deprecated. Returns the user interface node that the event is associated with.
`oracle.apps.cz.cio.IUserInterface` | `getUserInterface()` Deprecated. Returns the IUSerInterface that the event was generated from

Field Detail

### RCS_ID

    public static final java.lang.String RCS_ID

  Deprecated.

### RCS_ID_RECORDED

    public static final boolean RCS_ID_RECORDED

  Deprecated.

### POST_EVENT_EXECUTION

    public static final java.lang.String POST_EVENT_EXECUTION

  Deprecated.

### POST_MODEL_EVENT_EXECUTION

    public static final java.lang.String POST_MODEL_EVENT_EXECUTION

  Deprecated.

### POST_NAVIGATION_EVENT_EXECUTION

    public static final java.lang.String POST_NAVIGATION_EVENT_EXECUTION

  Deprecated.

### POST_CLICK

    public static final java.lang.String POST_CLICK

  Deprecated.

### POST_VALUE_CHANGE

    public static final java.lang.String POST_VALUE_CHANGE

  Deprecated.

### POST_NEW_CONFIGURATION

    public static final java.lang.String POST_NEW_CONFIGURATION

  Deprecated.

### POST_RESTORE_CONFIGURATION

    public static final java.lang.String POST_RESTORE_CONFIGURATION

  Deprecated.

### PRE_SAVE_CONFIGURATION

    public static final java.lang.String PRE_SAVE_CONFIGURATION

  Deprecated.

### POST_SAVE_CONFIGURATION

    public static final java.lang.String POST_SAVE_CONFIGURATION

  Deprecated.

### PRE_CANCEL_CONFIGURATION

    public static final java.lang.String PRE_CANCEL_CONFIGURATION

  Deprecated.

### ON_NAVIGATE

    public static final java.lang.String ON_NAVIGATE

  Deprecated.

### POST_ACTIVATE_ACTION

    public static final java.lang.String POST_ACTIVATE_ACTION

  Deprecated.

Method Detail

### getName

    public java.lang.String getName()

  Deprecated.
  Returns the type of Event. It can be used to compare different events.

### getUiNode

    public oracle.apps.cz.cio.IUserInterfaceNode getUiNode()

  Deprecated.
  Returns the user interface node that the event is associated with. This will be null if the event is one of POST_NEW_CONFIGURATION, POST_RESTORE_CONFIGURATION, PRE_SAVE_CONFIGURATION, POST_SAVE_CONFIGURATION, PRE_CANCEL_CONFIGURATION

### getUserInterface

    public oracle.apps.cz.cio.IUserInterface getUserInterface()

  Deprecated.
  Returns the IUSerInterface that the event was generated from

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Oracle Configuration Interface Object API Specification Version: 11.5.10.23.13 Part No: B14186-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999, 2004, Oracle. All rights reserved. Oracle is a registered trademark of Oracle Corporation and/or its affiliates. Other names may be trademarks of their respective owners.